Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
external-accounts
List external accounts
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/external-accounts \
  --header 'Authorization: Basic <encoded-value>'
{
  "external_accounts": [
    {
      "external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Chase Checking",
      "account_type": "checking",
      "is_asset": true,
      "balance": "<string>",
      "currency": "USD",
      "institution": "<string>",
      "interest_rate": "0.065",
      "interest_rate_type": "fixed",
      "minimum_payment": "<string>",
      "payment_due_day": 16,
      "maturity_date": "2023-12-25",
      "original_loan_amount": "<string>",
      "credit_limit": "<string>",
      "property_value": "<string>",
      "appreciation_rate": "<string>",
      "contribution_limit": "<string>",
      "employer_match": "<string>",
      "vesting_schedule": {},
      "notes": "<string>",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Query Parameters

status
enum<string>

Filter by account status

Available options:
active,
archived
is_asset
boolean

Filter by asset (true) or liability (false)

account_type
enum<string>

Filter by account type

Available options:
checking,
savings,
investment,
brokerage,
retirement_401k,
retirement_ira_traditional,
retirement_ira_roth,
retirement_403b,
retirement_457b,
retirement_pension,
retirement,
hsa,
fsa,
plan_529,
utma_ugma,
trust,
real_estate,
vehicle,
business_equity,
collectibles,
crypto,
other_asset,
mortgage,
home_equity_loan,
home_equity_loc,
auto_loan,
student_loan,
personal_loan,
loan,
credit_card,
medical_debt,
tax_debt,
other_liability

Response

External accounts retrieved successfully

external_accounts
object[]
total_count
integer